@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');

p, h2, h4 {
    margin: 0;
    padding: 0;
}

body, html {
    padding: 0;
    margin: 0;
    background-color: #222;
    color: white;
    font-size: 1rem;
    font-family: 'Roboto', sans-serif, 'Segoe UI', Tahoma, Geneva, Verdana;
    border-radius: 25%;
    width: 300px;
}

#header { 
    width: 100%;
    padding: 10px;
    background-color: rgba(63, 162, 222, 0.15);
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    border-bottom: 2px solid rgba(63, 162, 222, 0.2);
}

#content {
    padding: 0px 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

#LoginPage,
#UserPage {
    padding: 10px 0;
    display: flex;
    flex-direction: column;
    align-items: center;
}

input:focus-visible,
input:active {
    border: 1px solid rgb(95, 95, 95);
    outline: none;
}

label {
    display: block;
    color: #bbb;
    padding: 5px 0;
}

input {
    font-size: 1rem;
    color: rgb(95, 95, 95);
    padding: 5px 10px;
    border: 1px solid rgb(95, 95, 95);
    background-color: rgb(19, 19, 19);
}

input::placeholder {
    color: rgb(63, 63, 63);
}

button {
    background-color: #f7a600;
    color: white;
    border-width: 0px;
    padding: 5px 10px;
    display: inline-block;
    font-weight: 700;
}

button:hover {
    color: #1e1e1e;
    cursor: pointer;
}

button:disabled {
    background-color: #aaa;
    color: white;
    cursor: not-allowed;
    display: inline-block;
}

.loader {
    border: 3px solid #f3f3f3; 
    border-top: 3px solid #f7a600;
    border-radius: 50%;
    width: 10px;
    height: 10px;
    animation: spin 2s linear infinite;
    display: inline-block;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}